<?php

/**
 * @file
 * WA date time component.
 *
 * Loads an appointment.
 */

/**
 * Implements _webform_edit_COMPONENT().
 */
function _webform_defaults_wa_appointment() {
  return array(
    'name' => '',
    'form_key' => NULL,
    'required' => 0,
    'pid' => 0,
    'weight' => 0,
    'extra' => array(
      'options' => '',
      'questions' => '',
      'optrand' => 0,
      'qrand' => 0,
      'description' => '',
      'private' => FALSE,
      'analysis' => TRUE,
    ),
  );
}

/**
 * Implements _webform_edit_COMPONENT().
 */
function _webform_edit_wa_appointment($component) {
  return array('extra' => array());
}

/**
 * Implements _webform_submit_COMPONENT().
 */
function _webform_submit_wa_appointment($component, $value) {
  return $value['wa_appointment'];
}

/**
 * Implements _webform_display_COMPONENT().
 */
function _webform_display_wa_appointment($component, $value, $format = 'html') {
  return array(
    '#title' => $component['name'],
    '#weight' => $component['weight'],
    '#required' => $component['required'],
    '#theme' => 'dvg_appointments',
    '#theme_wrappers' => $format == 'html' ? array('webform_element') : array('webform_element_text'),
    '#post_render' => array('webform_element_wrapper'),
    '#component' => $component,
    '#format' => $format,
    '#value' => $value,
  );
}

/**
 * Implements _webform_render_COMPONENT().
 */
function _webform_render_wa_appointment($component, $value = NULL, $filter = TRUE) {
  $form_item['wa_appointment'] = array(
    '#type' => 'wa_appointment',
    '#title' => $filter ? webform_filter_xss($component['name']) : $component['name'],
    '#required' => $component['required'],
    '#weight' => $component['weight'],
    '#description'   => $filter ? webform_filter_descriptions($component['extra']['description']) : $component['extra']['description'],
    '#default_value' => $filter ? webform_replace_tokens($component['value']) : $component['value'],
    '#prefix' => '<div class="webform-component-textfield" id="webform-component-' . $component['form_key'] . '">',
    '#suffix' => '</div>',
  );

  if (isset($value)) {
    $form_item['wa_appointment']['#default_value'] = $value;
  }

  return $form_item;
}
