(function ($) {
  Drupal.behaviors.dvgAppointmentsChange = {
    attach: function (context) {
      var productsSelection = $('#appointments-change-products', context);

      var onRemoveHandler = function(e) {
        e.preventDefault();
        if (selects.length > 1) {
          this.parentElement.remove();
          resetNames()
        }
        else {
          showDeleteLastError();
        }
      };
      // Remove button per product.
      var selects = productsSelection.find('.wfm-item');
      var removeButton = $('<button class="remove-product-button">');
      removeButton.on('click', onRemoveHandler);
      removeButton.attr('class', 'wfm-remove form-submit remove-product-button');
      removeButton.html(Drupal.t('Remove'));
      selects.append(removeButton);

      // Add another product button.
      var addProduct = $('<button class="wfm-add form-submit" id="add-another-product-button">');
      addProduct.html(Drupal.t('Add another subject'));
      addProduct.on('click', function(e) {
        e.preventDefault();
        var newProduct = selects.first().clone();
        newProduct.find('select').val('');
        newProduct.find('input').val('');
        // Set new remove button listener as those are not copied over.
        newProduct.find('.remove-product-button').on('click', onRemoveHandler);
        addProduct.before(newProduct);
        // Refresh the element list since there is a new product.
        productsSelection = $('#appointments-change-products');
        resetNames();
      });
      productsSelection.append(addProduct);

      // Resets param counter for all product elements.
      var resetNames = function() {
        selects = productsSelection.find('.wfm-item');
        var i = 0;
        selects.each(function(index, element) {
          var jElement = $(element);
          var product = jElement.find('select');
          var count = jElement.find('input[type="text"]');
          product.attr('name', 'products[' + i + '][product]');
          count.attr('name', 'products[' + i + '][count]');
          i++;
        });
        var removeButtons = selects.find('.remove-product-button');
        removeButtons.length > 1 ? removeButtons.show() : removeButtons.hide();
        updateLegends();
      };

      var updateLegends = function() {
        var removeButtons = productsSelection.find('.remove-product-button');
        productsSelection.find('span.fieldset-legend').each(function(i, legend) {
          var title = Drupal.t('Subject');
          if (removeButtons.length > 1) {
            title += ' (' + (i + 1) + '/' + removeButtons.length + ')';
          }
          $(legend).html(title);
        });
      };
      updateLegends();

      var showDeleteLastError = function() {
        if (productsSelection.find('#last-delete-error').length === 0) {
          var errorMessage = $('<div class="messages error" id="last-delete-error"></div>');
          errorMessage.html(Drupal.t("You can't delete the last product."));
          productsSelection.prepend(errorMessage);
          setTimeout(function() {errorMessage.remove()}, 10000);
        }
      };
    }
  }
}(jQuery));
